# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   Displays the status of the keyboard leds
Name:      kkeyled
Version:   0.8.11
Release:   3
Copyright: GPL
Vendor:    Dieter Landolt <dieter.landolt@sesc.ch>
Url:       http://www.truesoft.ch/dieter/index.html
Icon:      kkeyled.xpm
Packager:  Dieter Landolt <dieter.landolt@sesc.ch>
Group:     System/GUI/KDE/Utilities
Source:    kkeyled-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}

%define kdedir /opt/kde3
%define qtdir  /usr/lib/qt3

%description
a little program wich helps you to watch your displayledsfor the numlock
 scrollock and the capslock keys

%prep
%setup -n %{name}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --prefix=%{kdedir} --with-qt-dir=%{qtdir} \
		  $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi
make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.kkeyled
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kkeyled
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kkeyled

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/kkeyled
rm -rf ../file.list.kkeyled

%files -f ../file.list.kkeyled

%changelog
* Sat Mar 26 2005 Dieter Landolt <dieter.landolt@secs.ch>
- correct startup with session manager
- correct lost focus
- added russian translation thanks to Alexey Kouznetsov
* Wed Mar 23 2005 Dieter Landolt <dieter.landolt@secs.ch>
- New version with fixed display of mainwindow.
* Wed Feb 18 2004 Dieter Landolt <dieter.landolt@secs.ch>
- fixed copilebug
* Sat Feb 14 2004 Dieter Landolt <dieter.landolt@secs.ch>
- workaround a bug by QT with playing mng files
* Sun Jun 1 2002 Dieter Landolt <dieter.landolt@secs.ch>
- update for all translations and update the help.
* Thu May 31 2002 Dieter Landolt <dieter.landolt@secs.ch>
- added support for sounds.
* Sun May 12 2002 Dieter Landolt <dieter.landolt@secs.ch>
- added support to lock the lockkey.
* Wed May 9 2002 Dieter Landolt <dieter.landolt@secs.ch>
- modificaten nomore postinstall is needed, added animated icon support for leds
* Mon Apr 8 2002 Dieter Landolt <dieter.landolt@secs.ch>
- Version build for kde3
* Mon Aug 27 2001 Dieter Landolt <dieter.landolt@secs.ch>
- Corrected some bugs in the program and now garants that the build is correct
- removed the postremove and added a dummy configfile, becode rpm takes the wrong order and after an update the globalconfig is deleted
* Wed Aug 23 2001 Dieter Landolt <dieter.landolt@secs.ch> 
- Added new them to the globalconfig version 0.6.1 done
* Wed Aug 22 2001 Dieter Landolt <dieter.landolt@secs.ch> 
- build the postinstall and postunsinstall script for building and removing the globalconfig.
